#!/bin/sh
#
#Skript for checkout or update of repositories
# edit the actual lib sources in the commands 
#
# (c) 2011 GPL winfried ritsch, IEM, for IMLE SS2011

case "$1" in



# note Gem maybe a newer version now available using git, but old version should do
  Gem)
    #echo get Gem...
    echo No Gem needed, but if requested...
    #svn co https://pd-gem.svn.sourceforge.net/svnroot/pd-gem/branches/0.92/Gem Gem
    svn co https://pd-gem.svn.sourceforge.net/svnroot/pd-gem/branches/0.93/Gem Gem
    #svn co https://pd-gem.svn.sourceforge.net/svnroot/pd-gem/trunk/Gem Gem
	# git doesnt seem to work

    break
  ;;

  Externals)

    # externals needed for the project
   
    #svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iemlib iemlib
    #svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/zexy zexy
    #svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/mrpeach/osc osc
    #svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iemnet iemnet
    #svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/mrpeach/net net
    #svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iem_ambi iem_ambi
    #svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iemmatrix iemmatrix
    echo  NO Externals needed

    break;
  ;;
  

  miXed)

   # sequencer
   svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/miXed/ miXed
   break;
  ;;

  PD|*)
    # PD default is the old stable
    echo get PD...

    # use pd-0.42-6
    svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/tags/pd/0.42-6/ pd

#    #use trunk
#    svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/pd/ pd

#     wget http://sourceforge.net/projects/pure-data/files/pure-data/0.43.0/pd-0.43-0.src.tar.gz
#     wget http://crca.ucsd.edu/~msp/Software/pd-0.43-0.src.tar.gz
#     tar xvfz pd-0.43-0.src.tar.gz
#     mv pd-0.43-0 pd

    echo "use: $0   <PD|Externals|Gem>"
    break
  ;;

esac


# Archiv for finding if needed
# ---- serial
#svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/comport/comport


# externals uncomment additional needed
#svn co	https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/hdspm_mixer/ hdspm_mixer
#svn co	https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/aconnect/ aconnect
#svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/hcs/ hcs
#svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/hcs/folder_list.c folder_list
#svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iem_ambi/ iem_ambi
#svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iem_bin_ambi/ iem_bin_ambi
#svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iemgui iemgui
#https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iem_spec2 iem_spec2
#https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/iem/iemmatrix/ iemmatrix

#oldies
#svn co https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/OSCx OSCx

# Optional
#pdogg           https://pure-data.svn.sourceforge.net/svnroot/pure-data/trunk/externals/pdogg
