#!/bin/bash 
# overtone organ - 
# 
#  (c) iem - winfried ritsch - 2010
#
#
#
MAIN_PATCH=main.pd
# Library path for patch
LIBPATH="-path .:data:abs:extra:extra/iemabs"

LIBS=""
#LIBS="-lib zexy:iemmatrix:iemlib1:iemlib2:iemmatrix:iem_ambi:Gem"

HELPPATH="-helppath extra:extra/help"

#options for pd
#OPTIONS="-rt -jack -channels 2 -alsamidi -mididev 1"
OPTIONS="-rt -alsa -channels 2 -alsamidi -mididev 1 -audiobuf 80"

# PD path for patch
PD="pd/bin/pd"

# go to the project directory ($0 ... pathname of script)
# and then one directory back (/..)
MYPATH=`dirname $0`
cd ${MYPATH}
echo ... starting PD

# see if pd exists and is executable
if [ ! -x $PD ]; then

 echo -n $PD not executable,
 PD=`which pd`
	
 if [ $? -ne 0 ]; then
   echo NO PD FOUND: \(even this ${PD} \)
   exit -1
 fi
 echo ", using $PD"
fi

#MSG="-send pd bang"
MSG=""

# start pd 
echo starting PD of Maschineneinheit...
echo $PD $OPTIONS $HELPPATH $LIBPATH $LIBS -send "$MSG" -open $MAIN_PATCH
$PD $OPTIONS $HELPPATH $LIBPATH $LIBS $MSG -open $MAIN_PATCH
